
package jerarquiaherencia;

public class Revista extends Publicacion{
    
    private String ISSN;
    private String periodicidad;
    private int numero;   // numerador de la colección
    private int numeroPaginas;

    public String getISSN() {
        return ISSN;
    }

    public void setISSN(String ISSN) {
        this.ISSN = ISSN;
    }

    public String getPeriodicidad() {
        return periodicidad;
    }

    public void setPeriodicidad(String periodicidad) {
        this.periodicidad = periodicidad;
    }
    public int getNumero() {
        return numero;
    }

    public void setNumero(int numero) {
        this.numero = numero;
    }
    
    public void setExtension(Object informacionExtension) {
        numeroPaginas = ((Integer)informacionExtension).intValue();   // no es obligatorio desencapsular mediante intValue()
    }
    
    @Override
    public Object getExtension() {
        return new Integer(numeroPaginas);   // no es obligatorio encapsular mediante new Integer()
    }    
}
